# $Revision: 1.73 $, $Date: 2004/11/18 21:13:57 $
Summary:	Client for the telnet remote login protocol
Summary(de):	Client fr das entfernte Login-Protokoll 'telnet'
Summary(es):	Cliente para el protocolo telnet de login remoto
Summary(fr):	Client pour le protocole de connexion telnet
Summary(pl):	Klient protokou telnet
Summary(pt_BR):	Cliente para o protocolo telnet de login remoto
Summary(tr):	Telnet uzak balant protokol iin istemci ve sunucu
Name:		telnet
Version:	0.17
Release:	28
Group:		Networking
License:	BSD
Source0:	ftp://ftp.linux.org.uk/pub/linux/Networking/netkit/netkit-%{name}-%{version}.tar.gz
# Source0-md5:	d6beabaaf53fe6e382c42ce3faa05a36
Source1:	%{name}d.inetd
Source2:	%{name}.desktop
Source3:	%{name}.png
Source4:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source4-md5:	a1e67907c855b6f596321f2cc8318e1a
Patch0:		netkit-%{name}-ipv6.patch
Patch1:		netkit-%{name}-fixes.patch
Patch2:		netkit-%{name}-ayt.patch
Patch3:		netkit-%{name}-issue.patch
Patch4:		netkit-%{name}-cpp.patch
Patch5:		netkit-%{name}-pld_man.patch
BuildRequires:	gcc-c++
BuildRequires:	ncurses-devel >= 5.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	heimdal-telnet
Obsoletes:	inetutils-telnet

%description
Telnet is a popular protocol for remote logins across the Internet.
This package provides a command line telnet client.

%description -l de
Telnet ist ein beliebtes Protokoll fr entfernte Logins ber das
Internet. Dieses Paket enthlt einen Befehlszeilen-Telnet-Client.

%description -l es
Telnet es un protocolo popular para logins remotos a travs de la
Internet. Este paquete ofrece un cliente telnet en la lnea de
comando.

%description -l fr
telnet est un protocole trs utilis pour les logins distants sur
l'Internet. Ce paquetage offre un client telnet

%description -l pl
Telnet jest popularnym protokoem umoliwiajcym logowanie si na
zdalnym komputerze w sieci internet i 6bone. Pakiet zawiera klienta
usugi telnet.

%description -l pt_BR
O telnet  um protocolo popular para logins remotos atravs da
Internet. Este pacote fornece um cliente telnet na linha de comando.

%description -l tr
Telnet, Internet zerinden uzak kullanc balantlar iin popler
bir protokoldur. Bu paket, bir komut satr istemcisi ile birlikte bir
sunucu sreci ierir. Sunucu srecin alt makinaya uzak
kullanclarn balanabilir.

%package -n telnetd
Summary:	Server for the telnet remote login protocol
Summary(de):	Server fr das entfernte Login-Protokoll 'telnet'
Summary(es):	Servidor para el protocolo telnet de login remoto
Summary(fr):	Serveur pour le protocole de connexion distante telnet
Summary(pl):	Serwer usugi telnet
Summary(pt_BR):	Servidor para o protocolo telnet de login remoto
Summary(tr):	Telnet uzak balant protokol iin istemci ve sunucu
Group:		Networking
Prereq:		rc-inetd >= 0.8
Requires:	inetdaemon
Requires:	login
Obsoletes:	inetutils-telnetd
Obsoletes:	telnet-server

%description -n telnetd
Telnet is a popular protocol for remote logins across the Internet.
This package provides telnet daemon which allows remote logins into
the machine it is running on.

%description -n telnetd -l de
Telnet ist ein beliebtes Protokoll fr entfernte Logins ber das
Internet. Dieses Paket enthlt einen Telnet-Dmon, der entfernte
Logins auf dem Rechner, auf dem er luft, zult. Der Telnet- Dmon
ist standardmig aktiviert.

%description -n telnetd -l es
Telnet es un protocolo popular para logins remotos a travs de la
Internet. Este paquete ofrece un servidor telnet que permite login
remoto dentro de la mquina en que se est ejecutando. editndose
/etc/inetd.conf.

%description -n telnetd -l fr
telnet est un protocole trs utilis pour les logins distants sur
l'Internet. Ce paquetage offre dmon telnet permettant des logins
distants sur la machine sur laquelle il tourne.

%description -n telnetd -l pl
Telnet jest popularnym protokoem umoliwiajcym logowanie si na
zdalnym komputerze w sieci internet i 6bone. Pakiet zawiera serwer
usugi telnet.

%description -n telnetd -l pt_BR
O telnet  um protocolo popular para logins remotos atravs da
Internet. Este pacote fornece um servidor telnet que permite login
remoto dentro da mquina em que ele est rodando.

%description -n telnetd -l tr
Telnet, Internet zerinden uzak kullanc balantlar iin popler
bir protokoldur. Bu paket, bir komut satr istemcisi ile birlikte bir
sunucu sreci ierir. Sunucu srecin alt makinaya uzak
kullanclarn balanabilir.

%prep
%setup -q -n netkit-%{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
# don't use configure macro
CC=gcc
CFLAGS="%{rpmcflags} -DINET6" \
CXXFLAGS="%{rpmcflags} -DINET6" \
./configure \
	--with-c-compiler=gcc \
	--with-c++-compiler=g++ \
	--prefix=%{_prefix}

%{__make} OPT="%{rpmcflags} -D__USE_UNIX98"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_mandir}/man{1,5,8}} \
	$RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}} \
	$RPM_BUILD_ROOT/etc/sysconfig/rc-inetd

%{__make} install \
	INSTALLROOT=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/telnetd
install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE3} $RPM_BUILD_ROOT%{_pixmapsdir}

rm -f 	$RPM_BUILD_ROOT%{_mandir}/man8/*
install telnetd/*.8 $RPM_BUILD_ROOT%{_mandir}/man8

rm -f $RPM_BUILD_ROOT%{_sbindir}/*
install telnetd/telnetd $RPM_BUILD_ROOT%{_sbindir}

bzip2 -dc %{SOURCE4} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
rm -f $RPM_BUILD_ROOT%{_mandir}/*/*/*.old

%clean
rm -rf $RPM_BUILD_ROOT

%post -n telnetd
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload 1>&2
else
	echo "Type \"/etc/rc.d/init.d/rc-inetd start\" to start inet server" 1>&2
fi

%postun -n telnetd
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/rc-inetd ]; then
		/etc/rc.d/init.d/rc-inetd reload 1>&2
	fi
fi

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/telnet.desktop
%{_pixmapsdir}/telnet.png
%{_mandir}/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(ja) %{_mandir}/ja/man1/*
%lang(ko) %{_mandir}/ko/man1/*

%files -n telnetd
%defattr(644,root,root,755)
%doc BUGS README
%attr(640,root,root) %config(noreplace) %verify(not mtime md5 size) /etc/sysconfig/rc-inetd/telnetd
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man[58]/*
%lang(es) %{_mandir}/es/man[58]/*
%lang(fr) %{_mandir}/fr/man[58]/*
%lang(ja) %{_mandir}/ja/man[58]/*
%lang(ko) %{_mandir}/ko/man[58]/*
%lang(pl) %{_mandir}/pl/man[58]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: telnet.spec,v $
Revision 1.73  2004/11/18 21:13:57  arekm
- rel 28; for AC

Revision 1.72  2004/09/25 12:07:11  blues
- release 27 - obsoletes from inetutils - STBR

Revision 1.71  2004/09/25 11:20:55  radek
- cosmetics (spaces -> tabs)

Revision 1.70  2003/12/25 19:27:47  twittner
- Obsoletes: heimdal-telnet due to filenames' conflict.
- really rel. 26, STBR Ac

Revision 1.69  2003/12/24 00:32:30  arekm
- fix ipv6; rel 26

Revision 1.68  2003/09/12 23:17:16  grzegol
- fixed .desktop file installation
- rel. 24

Revision 1.67  2003/09/06 20:12:35  adgor
- Desktop file moved to %%{_desktopdir}

Revision 1.66  2003/07/05 19:51:01  areq
- --with-c++-compiler=g++

Revision 1.65  2003/05/25 11:01:00  malekith
- massive attack, adding Source-md5

Revision 1.64  2003/05/25 06:27:14  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.63  2002/11/16 22:44:20  kloczek
- typo.

Revision 1.62  2002/11/16 10:32:38  ankry
- added icon (from gnome-telnet); release 23

Revision 1.61  2002/10/06 13:17:27  qboosh
- removed adding -lresolv from fixes patch (not needed)
- added missing non-english man pages to files
- release 22

Revision 1.60  2002/10/03 15:02:17  ankry
- added non-english man pages, STBR

Revision 1.59  2002/10/03 13:53:19  ankry
- removed "in.telnetd" from manpage, new %%doc
- release 21

Revision 1.58  2002/02/23 04:49:04  kloczek
- adapterized.

Revision 1.57  2002/02/22 23:29:47  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.56  2002/01/18 02:15:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.55  2001/12/15 09:36:15  qrczak
- netkit-telnet-cpp.patch: add missing #includes, fix macro name conflicts.
- Release 20.

Revision 1.54  2001/08/15 21:50:09  kloczek
- release 19,
- merge issue RH patch,
- merge translations from cnv.

Revision 1.53  2001/08/15 21:12:06  qboosh
- ayt security patch (from bugtraq)
- BuildRequires: gcc-c++
- release 12

Revision 1.52  2001/07/28 21:37:30  blues
- typo: %%s/sever"/server"/

Revision 1.51  2001/07/26 05:42:24  saq
- reverting last change: removing new macros from %%p{re,ost}{,un}

Revision 1.49  2001/04/30 16:05:31  kloczek
- added using %%{rpmcflags} macro.

Revision 1.48  2001/01/25 20:03:51  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.47  2000/12/31 18:07:35  alchemyx
- there should be NO package that owns any directory in applnk tree - just
  applnk
- release 11

Revision 1.46  2000/12/23 00:48:47  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.45  2000/10/28 17:52:12  misiek
release ++

Revision 1.44  2000/10/28 17:37:21  misiek
really include ipv6 (again)

Revision 1.43  2000/10/12 02:11:26  kloczek
- use new rpm automation.

Revision 1.42  2000/09/26 16:26:26  baggins
- release 9
- forced use gcc for compilation

Revision 1.41  2000/09/06 07:24:42  kloczek
- release 8,
- wmconfig file for telnet replaced by desktop file,
- spec adapterized.

Revision 1.40  2000/08/25 16:24:27  kloczek
- added "Obsoletes: telnet-server" for telnetd.

Revision 1.39  2000/08/24 23:24:01  kloczek
- added Requires: login for telnetd.

Revision 1.38  2000/08/24 21:29:36  pascalek
- update to 0.17

Revision 1.37  2000/08/19 01:28:50  baggins
- release 4
- fixed ipv6 patch
- really _do_ include ipv6 support

Revision 1.36  2000/08/11 17:04:50  baggins
- release 3
- it's server, not client that requires rc-inetd

Revision 1.35  2000/07/13 23:25:56  baggins
- release 2
- rebuild with ncurses 5.1

Revision 1.34  2000/07/12 15:32:29  zagrodzki
- removed outcommented patches
- standardized %%post/%%postun

Revision 1.33  2000/07/12 15:30:53  zagrodzki
- removed obsolete patches, some updated

Revision 1.32  2000/07/04 21:02:15  klakier
- check required:  patches 0-6 rejectes with new version

Revision 1.31  2000/07/04 08:15:18  klakier
- ver 0.16
- most patches rejected

Revision 1.30  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.29  2000/05/02 21:23:24  baggins
- fixed version, minor cleanup

Revision 1.28  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.27  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.26  1999/12/20 17:14:04  bszx
- rc-inetd restart --> rc-inetd reload

Revision 1.25  1999/11/19 07:19:33  kloczek
- release 35,
- added BuildRequires rules,
- build against ncurses 5.0.

Revision 1.24  1999/11/09 13:36:13  kloczek
- release 34,
- fix: removed "Requires: inetdaemon", "Prereq: rc-inetd" from telnet client
  subpackage.

Revision 1.23  1999/10/28 21:16:28  kloczek
- release 33,
- added patches from latest rawhide telnet.

Revision 1.22  1999/10/28 20:07:58  kloczek
- cosmetics.

Revision 1.21  1999/10/28 07:18:01  wiget
- %%post/%%postun scripts go to telnetd
- restart inetdeamon in %%postun (instead stoping)

Revision 1.20  1999/10/14 15:57:38  baggins
- added post(un) scripts
- prereq: rc-inetd
- config(noreplace) for inetd configs

Revision 1.19  1999/10/11 07:05:12  waszi
- small fixes

Revision 1.18  1999/10/06 11:03:12  waszi
- small fixes

Revision 1.17  1999/10/06 09:15:35  waszi
- telnet.rc-inetd -> telnet.inetd

Revision 1.16  1999/10/06 06:54:22  waszi
- support for rc-inetd

Revision 1.15  1999/08/26 15:05:33  baggins
- added c++ patch

Revision 1.14  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %%changelog (for automating them).

* Mon Apr 26 1999 Micha Kuratczyk <kura@pld.org.pl>
  [0.10-13]
- removed man group from man pages
- gzipping documentation instead bzipping

* Wed Feb 17 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [0.10-12d]
- added telned patch,
- fixed Group(pl),

  by Marcin Dalecki <dalecki@cs.net.pl>

- added ptmx patch to handle /dev/pts.

* Sun Dec 06 1998 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
  [0.10-8d]
- build for PLD,
- major changes.

* Wed Nov 13 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.10-6]
- added -q %%setup parameter,
- changed Buildroot to /tmp/%%{name}-%%{version}-root,
- added using %%{name} and %%{version} in Source,
- fixed passing $RPM_OPT_FLAGS,
- telnet damon in separated package,

* Wed Jun 17 1998 Maciej W. Roycki <macro@ds2.pg.gda.pl>
- added IPv6 support
- compiled against glibc 2.0.94
- added telnet client IPv6 patch (based on inet6-apps)
- start at RH spec file.
